%define upstream_name    Lingua-Stem
%define upstream_version 0.84

Name:           perl-%{upstream_name}
Version:        %perl_convert_version %{upstream_version}
Release:        %mkrel 3

Summary:        Stemming of words
License:        GPL+ or Artistic
Group:          Development/Perl
Url:            http://search.cpan.org/dist/%{upstream_name}
Source0:        http://www.cpan.org/modules/by-module/Lingua/%{upstream_name}-%{upstream_version}.tar.gz


BuildRequires:  perl(Lingua::PT::Stemmer)
BuildRequires:  perl(Lingua::Stem::It)
BuildRequires:  perl(Lingua::Stem::Fr)
BuildRequires:  perl(Lingua::Stem::Snowball::Da)
BuildRequires:  perl(Lingua::Stem::Snowball::No)
BuildRequires:  perl(Lingua::Stem::Snowball::Se)
BuildRequires:  perl(Text::German)
BuildArch:      noarch


%description
This routine applies stemming algorithms to its parameters, returning the
stemmed words as appropriate to the selected locale.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
rm -rf %{buildroot} 
%makeinstall_std

%clean 
rm -rf %{buildroot} 

%files
%defattr(-,root,root)
%doc Changes README META.yml
%{perl_vendorlib}/Lingua
%{_mandir}/man3*/*

%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.840.0-3.mga4
+ Revision: 512602
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.840.0-2.mga3
+ Revision: 369037
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 22 2011 jquelin <jquelin> 0.840.0-1.mga1
+ Revision: 32129
- mageia rebuild
- imported package perl-Lingua-Stem


* Tue Jul 13 2010 Jérôme Quelin <jquelin@mandriva.org> 0.840.0-1mdv2011.0
+ Revision: 552407
- update to 0.84

* Tue Jul 28 2009 Jérôme Quelin <jquelin@mandriva.org> 0.830.0-1mdv2010.0
+ Revision: 402572
- rebuild using %%perl_convert_version

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 0.83-4mdv2009.0
+ Revision: 257585
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 0.83-3mdv2009.0
+ Revision: 245626
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.83-1mdv2008.1
+ Revision: 136280
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Jul 26 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.83-1mdv2008.0
+ Revision: 56095
- new version


* Mon Jul 31 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.82-1mdv2007.0
- New version 0.82
- spec cleanup
- fix directory ownership
- better summary

* Fri Jun 09 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.81-1mdv2007.0
- Rebuild

* Tue Jun 07 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.81-mdk
- 0.81
- Fix Url
- Fix Requires
- Make rpmbuildupdate Happy

* Thu Jun 03 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.70-1mdk
- 0.70
- fix buildrequires
- drop PREFIX
- use %%makeinstall_std macro
- cosmetics
- drop test for now

